<template>
  <v-autocomplete
    v-bind="$attrs"
    v-model="media"
    :items="validMarketingMedia"
    item-value="code"
    item-text="name"
   /></template>

<script lang="ts">
import Vue from 'vue'

const validMarketingMedia: { name: string, code: string }[] = [
  { name: 'Cartaz', code: 'POSTER' },
  { name: 'Panfleto recebido na rua', code: 'PAMPHLET_STREET' },
  { name: 'Panfleto recebido em casa', code: 'PAMPHLET_HOME' },
  { name: 'Facebook', code: 'FACEBOOK' },
  { name: 'Instagram', code: 'INSTAGRAM' },
  { name: 'Whatsapp', code: 'WHATSAPP' },
  {
    name: 'Indicação por Conhecidos (verbal)',
    code: 'ACQUAINTANCE_VERBAL'
  },
  { name: 'Divulgação no CEU', code: 'CEU_MARKETING' },
  { name: 'Outros', code: 'OTHER' }
]

export default Vue.extend({
  name: 'MarketingMediaInput',
  props: {
    value: { type: String, default: null }
  },
  data: () => ({
    validMarketingMedia
  }),
  computed: {
    media: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
